%define  patch_name kernel-feat-fs-reiser4
%define  branch mm2
%define  kver 2.6.12

Name: %patch_name
Version: %kver
Release: alt2.%branch
Summary: %patch_name kernel patch - reiserfs filesystem patch
License: GPL
Group: Development/Kernel
URL: http://kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.12/2.6.12-mm2/
BuildArch: noarch
Packager: Sergey Ivanov <seriv@altlinux.ru>

BuildRequires:	kernel-build-tools >= 0.6-alt1

%source 01 01_reiser4-sb_sync_inodes.patch
%source 02 02_reiser4-sb_sync_inodes-cleanup.patch
%source 03 03_reiser4-truncate_inode_pages_range.patch
%source 04 04_reiser4-export-remove_from_page_cache.patch
%source 05 05_reiser4-export-page_cache_readahead.patch
%source 06 06_reiser4-reget-page-mapping.patch
%source 07 07_reiser4-rcu-barrier.patch
%source 08 08_reiser4-rcu-barrier-license-fix.patch
%source 09 09_reiser4-export-pagevec-funcs.patch
%source 10 10_reiser4-export-radix_tree_preload.patch
%source 11 11_reiser4-export-find_get_pages.patch
%source 12 12_reiser4-radix_tree_lookup_slot.patch
%source 13 13_reiser4-include-reiser4.patch
%source 14 14_reiser4-doc.patch
%source 15 15_reiser4-only.patch
%source 16 16_reiser4-swsusp-build-fix.patch kernel-feat-swsusp
%source 17 17_reiser4-printk-warning-fix.patch
%source 18 18_reiser4-mm-remove-pg_highmem-fix.patch
%source 19 19_reiser4-kconfig-help-cleanup.patch
%source 20 20_reiser4-update.patch
%source 21 21_reiser4-fix-dependencies.patch


%description
Namesys's Reiser4 patch, Andrew Morton's edition

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Thu Jul 14 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.12-alt2.mm2
- 16_reiser4-swsusp-build-fix.patch replaced by Konstantin A. Lepikhov <lakostis@altlinux.ru>
  for compatibility with swsusp2

* Thu Jul 07 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.12-alt1.mm2
- Updated to 2.6.12 patch from http://kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.12/2.6.12-mm2/

* Sun Mar 27 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.11-alt1.namesys3
- Updated to 2.6.11 patch of Namesys from March-25-2005.

* Thu Mar 24 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.11-alt1.namesys1
- Updated to 2.6.11 patch of Namesys from March-22-2005, and from it's announcement:
  This patch adds new operation to struct super_operations - sync_inodes,
  generic implementaion and changes fs-writeback.c:sync_sb_inodes() to call
  filesystem's sync_inodes if it is defined or generic implementaion otherwise. 
  This new operation allows filesystem to decide itself what to flush.
  
  Reiser4 flushes dirty pages on basic of atoms, not of inodes.  sync_sb_inodes
  used to call address space flushing method (writepages) for every dirty inode.
   For reiser4 it caused having to commit atoms unnecessarily often.  This
  turned into substantial slowdown.  Having this method helped to fix that
  problem.


* Wed Jan 05 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_x-alt1.mm1
- changed version naming schema to override *_namesys priority over *_mm

* Tue Jan 04 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_mm1-alt2
- rediff one patch for clean apply with kernel-feat-vserver

* Tue Jan 04 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_mm1-alt1
- Subset of mm1 patches of Andrew Morton, fixing read reiser4 performance.

* Fri Dec 31 2004 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_namesys1-alt1
- Patch of namesys, of Dec 30 2004. Note: it have lost 17% of it's read
  performance. Developers are continuing figuring it out. Andrew Morton 
  is trying to revert simplified readahead*.patch

* Wed Oct 27 2004 Sergey Ivanov <seriv@altlinux.ru> 2.6.9_mm1-alt1
- Initial build for Sisyphus, patches from 2.6.9_mm1 kernel
